## org.eclipse.emf.ocl.utilities
Interface ASTNode

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  AssociationClassCallExp, BagType, BooleanLiteralExp, CallExp, CallingASTNode, CollectionLiteralExp, CollectionType, EnumLiteralExp, FeatureCallExp, IfExp, IntegerLiteralExp, InvalidLiteralExp, IterateExp, IteratorExp, LetExp, LiteralExp, LoopExp, MessageExp, NavigationCallExp, NullLiteralExp, NumericLiteralExp, OCLExpression, OperationCallExp, OrderedSetType, PrimitiveLiteralExp, PropertyCallExp, RealLiteralExp, SequenceType, SetType, StateExp, StringLiteralExp, TupleLiteralExp, TupleLiteralPart, TypedASTNode, TypeExp, UnspecifiedValueExp, Variable, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, BagTypeImpl, BooleanLiteralExpImpl, CallExpImpl, CollectionLiteralExpImpl, CollectionTypeImpl, EnumLiteralExpImpl, FeatureCallExpImpl, IfExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IteratorExpImpl, LetExpImpl, LiteralExpImpl, LoopExpImpl, MessageExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OperationCallExpImpl, OrderedSetTypeImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, SequenceTypeImpl, SetTypeImpl, StateExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralPartImpl, TypeExpImpl, UnspecifiedValueExpImpl, VariableExpImpl, VariableImpl

Deprecated. Use the `ASTNode` interface, instead.

    @Deprecated
    public interface ASTNode

extends EObject

A representation of the model object 'AST Node'.

The following features are supported:

- `Start Position`
- `End Position`

See Also:
  `UtilitiesPackage.getASTNode()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`int` `getEndPosition()` Deprecated. Returns the value of the 'End Position' attribute.
`int` `getStartPosition()` Deprecated. Returns the value of the 'Start Position' attribute.
`void` `setEndPosition(int value)` Deprecated. Sets the value of the '`End Position`' attribute
`void` `setStartPosition(int value)` Deprecated. Sets the value of the '`Start Position`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getStartPosition

    int getStartPosition()

  Deprecated.
  Returns the value of the 'Start Position' attribute. The default value is `"-1"`.

  If the meaning of the 'Start Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Position' attribute.
  See Also:
    `setStartPosition(int)`, `UtilitiesPackage.getASTNode_StartPosition()`

### setStartPosition

    void setStartPosition(int value)

  Deprecated.
  Sets the value of the '`Start Position`' attribute.

  Parameters:
    `value` - the new value of the 'Start Position' attribute.
  See Also:
    `getStartPosition()`

### getEndPosition

    int getEndPosition()

  Deprecated.
  Returns the value of the 'End Position' attribute. The default value is `"-1"`.

  If the meaning of the 'End Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Position' attribute.
  See Also:
    `setEndPosition(int)`, `UtilitiesPackage.getASTNode_EndPosition()`

### setEndPosition

    void setEndPosition(int value)

  Deprecated.
  Sets the value of the '`End Position`' attribute.

  Parameters:
    `value` - the new value of the 'End Position' attribute.
  See Also:
    `getEndPosition()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.